#ifndef DISKCACHE__QUERY_RESULTS_FILENAMES_HH
#define DISKCACHE__QUERY_RESULTS_FILENAMES_HH

#include <string>

#include "QueryResults.hh"

namespace diskCache
{
  class QueryResultsFilenames
    : public QueryResults
  {
  public:
    QueryResultsFilenames( format_type Foramt );

    void Append( const std::string& Filename );

    void Finalize( );

    void Swap( std::string& S1 );

  private:
    std::string		m_string_result;
  };

  inline void QueryResultsFilenames::
  Swap( std::string& S1 )
  {
    m_string_result.swap( S1 );
  }

} // namespace - diskCache

#endif /* DISKCACHE__QUERY_RESULTS_FILENAMES_HH */
